#! /bin/sh
HOME_DIR="/home/root"
LOG_FILE="$HOME_DIR/logs/SYSLOG.ALS"

echo 'root:advanced#@0' | /usr/sbin/chpasswd

# SysInit Option 
# if install card includes sysinit.tar.gz extract it into /home/root
if [ -f "$1/afs_image/hwgen2/sysinit_2.tar.gz" ]; then
	echo "sysinitstarted" > $1/afs_image/hwgen2/sysinitstarted >> $LOG_FILE
	sync
	echo "Initializing default data from sysinit.tar.gz" >> $LOG_FILE
	tar -xzf $1/afs_image/hwgen2/sysinit_2.tar.gz -C $HOME_DIR
	rm -f $1/afs_image/hwgen2/sysinitstarted
	sync
fi

if [ "$(uname -r)" == "3.2.29-smp" ]; then
  echo "wificonfigstarted" > $1/afs_image/hwgen2/sysinitstarted >> $LOG_FILE
  CUR=$(pwd)

	rm -f $1/afs_image/hwgen2/sysinitstarted
  cd "$CUR"
fi
