#! /bin/sh
HOME_DIR="/home/root"
LOG_FILE="$HOME_DIR/logs/SYSLOG.ALS"

if [ -f "$1/AMDFREE.AFE" ]; then
	echo "Upgrading AMDFREE.AFE From SD Card" >> $LOG_FILE
	cp -f $1/AMDFREE.AFE $HOME_DIR/AMDFREE.AFE
	sync
	sleep 1
elif [ -f "$1/amdfree.afe" ]; then
	echo "Upgrading AMDFREE.AFE From SD Card" >> $LOG_FILE
	cp -f $1/amdfree.afe $HOME_DIR/AMDFREE.AFE
	sync
	sleep 1
else
	echo "AMDFREE.AFE file not found" >> $LOG_FILE
fi

chmod +x $HOME_DIR/AMDFREE.AFE
