#! /bin/sh
HOME_DIR="/home/root"
LOG_FILE="$HOME_DIR/logs/SYSLOG.ALS"

# Update FileSystem drivers
if [ -f "$1/afs_image/hwgen2/afs_fspatch_2.tar.gz" ]; then
	echo "Updating File System" >> $LOG_FILE
	tar -xzf $1/afs_image/hwgen2/afs_fspatch_2.tar.gz -C /
	sync
echo "File System Update Complete" >> $LOG_FILE
fi

#fix network device remap issues
cd /etc/udev/rules.d
rm -f 70-persistent-net.rules
cd /lib/udev/rules.d/
rm -f 75-persistent-net-generator.rules
echo "# AF-5000 Keep rules from generating" > 75-persistent-net-generator.rules

#install wifi
cd $1/afs_image/hwgen2/wifi
./install_wifi.sh

#cd ../slackware_packages
#/sbin/installpkg glibc-solibs-2.26-i586-2.txz 

#fix libproto.so links
cd /
ln -s /usr/lib/libprotobuf.so.9.0.1 /usr/lib/libprotobuf.so.9
ln -s /usr/lib/libprotobuf.so.9.0.1 /usr/lib/libprotobuf.so.9.0
