#!/bin/bash
KVER=$(uname -r) 
MODDESTDIR=/lib/modules/$KVER/kernel/drivers/net/wireless

###############################################################################
# This installs the rtl8188eu driver, which our driver depends upon for some
# mystical reason that I haven't been able to fathom. It won't work without
# this (attempted).
###############################################################################
install -p -m 644 8188eu.ko $MODDESTDIR
modprobe -r 8188eu
depmod -a $KVER

###############################################################################
# This installs the actual 8192cu driver. The one what works as an access 
# point. 
###############################################################################
install -p -m 644 8192cu.ko $MODDESTDIR
depmod -a $KVER

